| Home | Libraries | People | FAQ | More

## Function template after

boost::xpressive::after — Look-behind assertion.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    template<typename Expr> unspecified after(Expr const & expr);

## Description

after(expr) succeeds if the expr sub-expression would match at the current position minus N in the sequence, where N is the width of expr. expr is not included in the match. For instance, after("foo") succeeds if we are after a "foo". Look-behind assertions can be negated with the bit-complement operator.

| Note
after(expr) is equivalent to the perl (?<=...) extension. ~after(expr) is a negative look-behind assertion, equivalent to the perl (?<!...) extension.

Parameters:

`expr` | The sub-expression to put in the look-ahead assertion.

Requires: | expr cannot match a variable number of characters.